summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorB. Stack <bgstack15@gmail.com>2021-06-09 09:26:38 -0400
committerB. Stack <bgstack15@gmail.com>2021-06-09 09:26:38 -0400
commit87ec19d8422bae1c9eb7b0ec9d73b40ace2a906f (patch)
tree52475cb6b9830861008b982b7208105a87140abb
parent88.0.1 rc1 (diff)
downloadlibrewolf-debian-master.tar.gz
librewolf-debian-master.tar.bz2
librewolf-debian-master.zip
-rw-r--r--scripts/prep-librewolf-dpkg.conf4
-rwxr-xr-xscripts/prep-librewolf-dpkg.sh20
2 files changed, 12 insertions, 12 deletions
diff --git a/scripts/prep-librewolf-dpkg.conf b/scripts/prep-librewolf-dpkg.conf
index 50d3a37..25e18d8 100644
--- a/scripts/prep-librewolf-dpkg.conf
+++ b/scripts/prep-librewolf-dpkg.conf
@@ -4,9 +4,9 @@
# Available options for DISTRO: ubuntu debian
DISTRO=${DISTRO:-'debian'}
# current version of Firefox package in target distro
-distro_firefox_version=${distro_firefox_version:-'88.0.1-1'}
+distro_firefox_version=${distro_firefox_version:-'89.0-1'}
# current version of Firefox, as defined by name of the orig tarball.
-firefox_version=${firefox_version:-'88.0.1'}
+firefox_version=${firefox_version:-'89.0'}
settings_commit=${settings_commit:-'master'}
CI_PROJECT_DIR=${CI_PROJECT_DIR:-$(realpath $(dirname $0)/../)}
output_dir=${CI_PROJECT_DIR}/out
diff --git a/scripts/prep-librewolf-dpkg.sh b/scripts/prep-librewolf-dpkg.sh
index 179a658..30a574a 100755
--- a/scripts/prep-librewolf-dpkg.sh
+++ b/scripts/prep-librewolf-dpkg.sh
@@ -82,9 +82,9 @@ test -z "${SKIP_EXTRACT}" && {
# test -z "${SKIP_GIT}" && (
# yes, use a sub-shell because of this cd. pushd is a bash builtin, but we are using sh and not bash.
# cd "${git_source_dir}"
- git clone "${librewolf_common_url}" ${git_source_dir}/common
- git clone "${librewolf_settings_url}" ${git_source_dir}/settings
- git clone "${librewolf_linux_url}" ${git_source_dir}/linux
+ git clone "${librewolf_common_url}" ${git_source_dir}/common || ( cd "${git_source_dir}/common" ; git checkout master ; git pull ; )
+ git clone "${librewolf_settings_url}" ${git_source_dir}/settings || ( cd "${git_source_dir}/settings" ; git checkout master ; git pull ; )
+ git clone "${librewolf_linux_url}" ${git_source_dir}/linux || ( cd "${git_source_dir}/linux" ; git checkout master ; git pull ; )
# )
@@ -174,9 +174,9 @@ sed -i 's/rustc (>= 1.47),/rustc (>= 1.41),/g' "${debian_dir}"/control.in
mkdir -p "${debian_dir}"/patches/librewolf
if test "${DISTRO}" = "ubuntu" ; then
- cp -pr "${git_source_dir}"/linux/megabar.patch \
- "${git_source_dir}"/linux/remove_addons.patch \
- "${git_source_dir}"/linux/mozilla-vpn-ad.patch \
+ cp -pr "${git_source_dir}"/common/patches/megabar.patch \
+ "${git_source_dir}"/common/patches/remove_addons.patch \
+ "${git_source_dir}"/common/patches/mozilla-vpn-ad.patch \
"${debian_dir}"/patches/librewolf/
cat <<EOF >> "${debian_dir}"/patches/series
librewolf/remove_addons.patch -p1
@@ -184,9 +184,9 @@ librewolf/megabar.patch -p1
librewolf/mozilla-vpn-ad.patch -p1
EOF
else
- cp -pr "${git_source_dir}"/linux/megabar.patch \
- "${git_source_dir}"/linux/remove_addons.patch \
- "${git_source_dir}"/linux/mozilla-vpn-ad.patch \
+ cp -pr "${git_source_dir}"/common/patches/megabar.patch \
+ "${git_source_dir}"/common/patches/remove_addons.patch \
+ "${git_source_dir}"/common/patches/mozilla-vpn-ad.patch \
"${git_source_dir}"/linux/deb_patches/*.patch \
"${debian_dir}"/patches/librewolf/
cat <<EOF >> "${debian_dir}"/patches/series
@@ -280,7 +280,7 @@ if test "${DISTRO}" = "debian" ; then
cat <<EOF >> "${debian_dir}"/browser.install.in
debian/librewolf_settings/librewolf.cfg usr/lib/@browser@
-debian/librewolf_settings/defaults usr/share/@browser@
+debian/librewolf_settings/defaults usr/lib/@browser@
debian/librewolf_settings/distribution usr/share/@browser@
EOF
bgstack15